<?php

namespace Drupal\Tests\acquia_contenthub\Kernel\Stubs;

/**
 * Drupal version trait for consistency.
 *
 * @package Drupal\Tests\acquia_contenthub\Kernel\Stubs
 */
trait DrupalVersion {

  /**
   * Get the current version of Drupal to identify fixtures for tests.
   *
   * @return string
   *   The Drupal version string.
   */
  protected function getDrupalVersion(bool $without_prefix = FALSE): string {
    return $without_prefix ?
      \Drupal::VERSION :
      "drupal-" . \Drupal::VERSION;
  }

  /**
   * Returns the correct ckeditor module name based on the drupal version.
   *
   * @return string
   *   The ckeditor module name.
   */
  protected function getCkeditorModuleName(): string {
    return version_compare(\Drupal::VERSION, '9.4.11', '>=') ? 'ckeditor5' : 'ckeditor';
  }

}
