<?php

namespace Drupal\Tests\acquia_contenthub\Traits;

use Drupal\Tests\RandomGeneratorTrait;

/**
 * Provides helper functions for tests using queues.
 */
trait QueueTestTrait {

  use CommonRandomGenerator;
  use RandomGeneratorTrait;

  /**
   * Populates queue tables with random data.
   *
   * The queue tables can be either from the publisher or the subscriber.
   *
   * @param int|null $num_of_rows
   *   The number of rows to insert.
   * @param string $queue_name
   *   The queue name.
   *
   * @throws \Exception
   */
  public function populateQueueTableWithRandomData(?int $num_of_rows, string $queue_name): void {
    $amount = $num_of_rows ?: random_int(100, 500);
    $queue = \Drupal::queue($queue_name);
    for ($i = 0; $i < $amount; $i++) {
      $data = new \stdClass();
      $data->uuid = $this->generateUuid();
      $data->type = $this->randomMachineName(random_int(5, 20));
      $queue->createItem($data);
    }
  }

}
